Bug 233754 - Review Request: marble - A KDE Desktop Globe
Review Request: marble - A KDE Desktop Globe
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-24 14:06 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-30 04:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2007-03-24 14:06:31 EDT
Spec URL: http://tux.u-strasbg.fr/~chit/marble/marble.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/marble/marble-0.3-1.20070318svn.src.rpm
Description:
Marble is a generic geographical map widget that is meant to be used by KDE4 applications. It shows the earth as a sphere but doesn't make use of any hardware acceleration (No OpenGL). So although it might look similar to professional applications like Google Earth or Nasa World Wind it's rather meant to be a small light weight multi purpose widget.
Comment 2 Chitlesh GOORAH 2007-04-15 08:56:39 EDT
I'll be update to 0.3.1 soon in a few minutes.
Thanks Mamoru for the review
Comment 4 Mamoru TASAKA 2007-04-15 09:53:52 EDT
BTW:

Chitlesh, I would appreciate it if you would review my
migemo-related review requests 
bug 236491, bug 236492, and bug 236493 .

They are very small packages, noarch and perhaps the reviews
are easy...
Packaging guidelines for ruby can be found on
http://fedoraproject.org/wiki/Packaging/Ruby
Comment 5 Mamoru TASAKA 2007-04-15 12:54:57 EDT
Well, for 0.3.1-1:

* BuildRequires
  - At least, cmake, desktop-file-utils are missing.

* cmake log verboseness
  - And when I try local rpmbuild, the build log leaves
    only unuseful messages like:
---------------------------------------------------
[  1%] Generating ui_placemarkinfodialog.h
[  3%] Generating katlastoolbox.moc
[  4%] Generating katlascontrol.moc
[  6%] Generating katlasview.moc
[  7%] Generating katlasviewinputhandler.moc
[  9%] Generating searchlistview.moc
---------------------------------------------------
    We cannot judge from this log whether compilation is
    done properly (and actually in this case it was wrong
    because the log says as folloing).
---------------------------------------------------
+ /usr/lib/rpm/find-debuginfo.sh /home/tasaka1/rpmbuild/BUILD/marble
extracting debug info from
/home/tasaka1/rpmbuild/INSTROOT/marble-0.3.1-1.fc6_LC-root-tasaka1/usr/bin/marble
0 blocks
---------------------------------------------------
    Usually the verbose log can be gained by using
    "make VERBOSE=1" for cmake. Please check:
    http://fedoraproject.org/wiki/PackagingDrafts/cmake

* Fedora specific compilation flags
  - As said above, fedora specific compilation flags are not
    passed.
    When I use "make VERBOSE=1", the log says:
---------------------------------------------------
/usr/bin/cmake -E cmake_progress_report
/home/tasaka1/rpmbuild/BUILD/marble/CMakeFiles 2
[ 39%] [ 41%] Building CXX object src/CMakeFiles/marble.dir/katlascontrol.o
/usr/bin/c++   -I/home/tasaka1/rpmbuild/BUILD/marble/src   -DQT_SHARED -O2 -msse
-o src/CMakeFiles/marble.dir/katlascontrol.o -c
/home/tasaka1/rpmbuild/BUILD/marble/src/katlascontrol.cpp
---------------------------------------------------
    Using CXXFLAGS seems good

* macros
  - Please use macros when possible. /usr/bin/qmake-qt4 should
    be %{_bindir}/qmake-qt4

? -msse
  - As the above log says, -msse seems to be used anyway.

? Home page
  - Wiki ( http://en.wikipedia.org/wiki/Marble_(KDE) ) refers to
    http://edu.kde.org/marble/
    for the home page.

? Timestamps
  - Well, there are many files which are installed from tarball without
    any modification (many png, svg, PNT files), so keeping timestamps
    on these files is _strongly_ recommended. 
    However, cmake uses its original installation mechanism and I don't
    know how I can make cmake keep timestamps...
Comment 6 Mamoru TASAKA 2007-04-22 02:33:01 EDT
ping?
Comment 7 Chitlesh GOORAH 2007-04-23 10:57:03 EDT
(In reply to comment #5)
> ? Timestamps
>   - Well, there are many files which are installed from tarball without
>     any modification (many png, svg, PNT files), so keeping timestamps
>     on these files is _strongly_ recommended. 
>     However, cmake uses its original installation mechanism and I don't
>     know how I can make cmake keep timestamps...

I'm still looking how to do so.
Comment 8 Mamoru TASAKA 2007-04-28 04:55:32 EDT
Would you upload a new spec/srpm with ignoring timestamps
keeping problem for now?
Comment 10 Mamoru TASAKA 2007-04-28 11:39:06 EDT
Okay!!

---------------------------------------------------
  This package (marble) is APPROVED by me
---------------------------------------------------
Comment 11 Chitlesh GOORAH 2007-04-28 12:03:51 EDT
New Package CVS Request
=======================
Package Name: marble
Short Description: A KDE Desktop Globe
Owners: cgoorah@yahoo.com.au
Branches: FC-6
Comment 12 Chitlesh GOORAH 2007-04-28 12:07:54 EDT
New Package CVS Request
=======================
Package Name: marble
Short Description: A KDE Desktop Globe
Owners: cgoorah@yahoo.com.au
Branches: FC-6
Comment 13 Chitlesh GOORAH 2007-04-30 03:40:57 EDT
(In reply to comment #5)
> ---------------------------------------------------
> /usr/bin/cmake -E cmake_progress_report
> /home/tasaka1/rpmbuild/BUILD/marble/CMakeFiles 2
> [ 39%] [ 41%] Building CXX object src/CMakeFiles/marble.dir/katlascontrol.o
> /usr/bin/c++   -I/home/tasaka1/rpmbuild/BUILD/marble/src   -DQT_SHARED -O2 -msse
> -o src/CMakeFiles/marble.dir/katlascontrol.o -c
> /home/tasaka1/rpmbuild/BUILD/marble/src/katlascontrol.cpp
> ---------------------------------------------------
>     Using CXXFLAGS seems good

> ? -msse
>   - As the above log says, -msse seems to be used anyway.

For some reason, it fails on ppc with 
cc1plus: error: unrecognized command line option "-msse"

I thought it was fedora specific compilation flags.

http://buildsys.fedoraproject.org/logs/fedora-development-extras/32731-marble-0.3.1-2.fc7/ppc/build.log
Comment 14 Mamoru TASAKA 2007-04-30 03:59:28 EDT
(In reply to comment #13)
> (In reply to comment #5)
> > ---------------------------------------------------
> > /usr/bin/cmake -E cmake_progress_report
> > /home/tasaka1/rpmbuild/BUILD/marble/CMakeFiles 2
> > [ 39%] [ 41%] Building CXX object src/CMakeFiles/marble.dir/katlascontrol.o
> > /usr/bin/c++   -I/home/tasaka1/rpmbuild/BUILD/marble/src   -DQT_SHARED -O2 -msse
> > -o src/CMakeFiles/marble.dir/katlascontrol.o -c
> > /home/tasaka1/rpmbuild/BUILD/marble/src/katlascontrol.cpp
> > ---------------------------------------------------
> >     Using CXXFLAGS seems good
> 
> > ? -msse
> >   - As the above log says, -msse seems to be used anyway.
> 
> For some reason, it fails on ppc with 
> cc1plus: error: unrecognized command line option "-msse"
> 
> I thought it was fedora specific compilation flags.
> 
>
http://buildsys.fedoraproject.org/logs/fedora-development-extras/32731-marble-0.3.1-2.fc7/ppc/build.log

-msse is not in fedora specific compilation flags. This is added by
src/CMakeLists.txt.

If -msse is not accepted on ppc,
-------------------------------------------------
sed -i.flags -e 's|-msse||' src/CMakeLists.txt
-------------------------------------------------
is needed on ppc.
Comment 15 Mamoru TASAKA 2007-04-30 04:33:30 EDT
BTW would you have a time to review one of my review
requests of ruby modules (bug 237379 or bug 237380)?
Comment 16 Chitlesh GOORAH 2007-04-30 04:52:04 EDT
Sure mamoru.

Note You need to log in before you can comment on or make changes to this bug.